package appmain;
import java.util.Date;
/*
 * This servlet is another carved up version of Hello.java which was
 * provided as an example with the Tomcat server from The Apache
 * Software Foundation.
 *
 */
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
/**
 * Simple servlet to read a request header and print a little info.
 */
public final class Snapper extends HttpServlet {
    /**
     * Respond to a GET request for the content produced by
     * this servlet.
     *
     * @param request The servlet request we are processing
     * @param response The servlet response we are producing
     *
     * @exception IOException if an input/output error occurs
     * @exception ServletException if a servlet error occurs
     */
    public void doGet(HttpServletRequest request,HttpServletResponse response)
      throws IOException, ServletException {

	response.setContentType("text/html");
	PrintWriter writer = response.getWriter();

	writer.println("<html>");
	writer.println("<head>");
	writer.println("<title>Snapper - Another Simple Servlet</title>");
	writer.println("</head>");

	writer.println("<p><b>Snapper - Another Simple Servlet</b></p>");
	String message = request.getHeader("host");
	if (message == null) message = "some unknown host";
	writer.println("<p>This servlet is running on "+message);
	writer.println(" where the moment is ");
	Date now = new Date();
	writer.println(now);
	writer.println(".</p>");
	writer.println("</body>");
	writer.println("</html>");
    }
}
